# NLCONTROL - Nonlinear Control toolbox

## Description
A Python module providing a framework for Nonlinear control simulations. Base structures for dynamical systems and controllers allow an easy and flexible environment to simulate nonlinear control loops. Base classes are developed for easy integration in a closed-loop configuration. The goal is to obtain a wide library of systems and controllers, which allows users around the world to simulate their control loops.

- **Website:** https://nlcontrol.readthedocs.io/
- **Documentation:** https://nlcontrol.readthedocs.io/en/latest/api
- **Mailing list:** https://nlcontrol.readthedocs.io/en/latest/license.html#contact
- **Source code:** https://github.com/jjuch/nlcontrol
- **Contributing:** https://nlcontrol.readthedocs.io/en/latest/contribute/
- **Bug reports:** https://github.com/jjuch/nlcontrol/issues

It provides:

- a base class for nonlinear systems
- a base class for nonlinear controllers
- tools to build a closed-loop with said base classes
- the capability to easily expand to your application

The `nlcontrol` module was originally within the Dynamical Systems & Control group of Ghent University.

Testing:

*TBA*


Call for Contributions
----------------------

`nlcontrol` appreciates the input of all people interested. This is a very basic module for the moment. The goal is to expand and exploit all its capabilities, but this cannot be done by one person. Therefore, I would ask the entire community to start contributing. It is much appreciated.
If you are coding, don't forget to document, as it is essential to achieve a valuable toolbox. 
